function [T2,p2,V2,dU,dW,dQ,dS,pv,Vv,Sv,Tv]= isochor(T1,p1,V1,cv,efall,wert,points )
%Berechnet die Ergebnisse eines iochoren Schrittes

  R=8.314;
  
  switch efall
      case 2
         p2=wert;
         
         V2=V1;
         T2=(p2/p1)*T1;
      case 1
         T2=wert;
         
         V2=V1;
         p2=p1*(T2/T1); 
         
      otherwise
          error('falsche variable');
  end
  
  %Darstellung
  pv=linspace(p1,p2,points);  
  Vv=V1*ones(size(pv));
  Tv=T1*(pv/p1);
  
  %Arbeit
  dW=0;
  
  %Innere Energie
  dU=p1*V1/R/T1*cv*(T2-T1); 
  
  %Waerme
  dQ=dU;
  
  %T-S - Diagramm
  Sv=p1*V1/R/T1*cv*log(Tv/T1);
 
  %Entropie
  dS=Sv(end);
end

